Package weka.core.pmml.jaxbbindings

# Enum Class LINKFUNCTION

java.lang.Object
java.lang.Enum<LINKFUNCTION>
weka.core.pmml.jaxbbindings.LINKFUNCTION

All Implemented Interfaces:
  `Serializable`, `Comparable<LINKFUNCTION>`, `Constable`

public enum LINKFUNCTION extends Enum<LINKFUNCTION>

Java class for LINK-FUNCTION.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="LINK-FUNCTION">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="cloglog"/>
         <enumeration value="identity"/>
         <enumeration value="log"/>
         <enumeration value="logc"/>
         <enumeration value="logit"/>
         <enumeration value="loglog"/>
         <enumeration value="negbin"/>
         <enumeration value="oddspower"/>
         <enumeration value="power"/>
         <enumeration value="probit"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLOGLOG`
  `IDENTITY`
  `LOG`
  `LOGC`
  `LOGIT`
  `LOGLOG`
  `NEGBIN`
  `ODDSPOWER`
  `POWER`
  `PROBIT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LINKFUNCTION`
  `fromValue(String v)`
  `String`
  `value()`
  `static LINKFUNCTION`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LINKFUNCTION[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLOGLOG

    public static final LINKFUNCTION CLOGLOG

  - ### IDENTITY

    public static final LINKFUNCTION IDENTITY

  - ### LOG

    public static final LINKFUNCTION LOG

  - ### LOGC

    public static final LINKFUNCTION LOGC

  - ### LOGIT

    public static final LINKFUNCTION LOGIT

  - ### LOGLOG

    public static final LINKFUNCTION LOGLOG

  - ### NEGBIN

    public static final LINKFUNCTION NEGBIN

  - ### ODDSPOWER

    public static final LINKFUNCTION ODDSPOWER

  - ### POWER

    public static final LINKFUNCTION POWER

  - ### PROBIT

    public static final LINKFUNCTION PROBIT

- ## Method Details

  - ### values

    public static LINKFUNCTION[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LINKFUNCTION valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static LINKFUNCTION fromValue(String v)